Batch Create Expected Machines

View as Markdown
Create multiple Expected Machines in a single request. All machines must belong to the same site. Org must have an Infrastructure Provider entity. User must have `FORGE_PROVIDER_ADMIN` role. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also create Expected Machines if they have an account with the Site's Infrastructure Provider. Maximum batch size: 100 Expected Machines per request.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired

Request

Array of Expected Machine creation requests
siteIdstringRequiredformat: "uuid"
ID of the site the Expected Machine belongs to
bmcMacAddressstringRequiredformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Machine’s BMC (Baseboard Management Controller)

chassisSerialNumberstringRequired1-100 characters
Serial number of the Expected Machine's chassis
bmcUsernamestring or nullOptional<=20 characters
Username for accessing the Expected Machine's BMC
bmcPasswordstring or nullOptional<=50 characters
Password for accessing the Expected Machine's BMC
fallbackDPUSerialNumberslist of strings or nullOptional

Serial numbers of the Expected Machine’s fallback DPUs (Data Processing Units)

skuIdstring or nullOptional
Optional ID of the SKU to associate with this Expected Machine
rackIdstring or nullOptional
Optional rack identifier for this component
namestring or nullOptional
Display name for this component
manufacturerstring or nullOptional
Manufacturer of this component
modelstring or nullOptional
Model of this component
descriptionstring or nullOptional
Description of this component
firmwareVersionstring or nullOptional
Firmware version of this component
slotIdinteger or nullOptional
Slot ID within the rack
trayIdxinteger or nullOptional
Tray index within the rack
hostIdinteger or nullOptional
Host ID within the tray
labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Machines

Response

Created
idstringRead-onlyformat: "uuid"
Unique identifier for the Expected Machine
siteIdstringRead-onlyformat: "uuid"
ID of the site the Expected Machine belongs to
bmcMacAddressstringformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Machine’s BMC (Baseboard Management Controller)

chassisSerialNumberstring
Serial number of the Expected Machine's chassis
fallbackDPUSerialNumberslist of strings

Serial numbers of the Expected Machine’s fallback DPUs (Data Processing Units)

skuIdstring or null
Optional ID of the SKU associated with this Expected Machine
skuobject

SKU information for this Expected Machine (populated when includeRelation=Sku is specified)

machineIdstring or null
Optional ID of the Machine associated with this Expected Machine
machineobject

Machine information for this Expected Machine (populated when includeRelation=Machine is specified)

rackIdstring or null
Optional rack identifier for this component
namestring or null
Display name for this component
manufacturerstring or null
Manufacturer of this component
modelstring or null
Model of this component
descriptionstring or null
Description of this component
firmwareVersionstring or null
Firmware version of this component
slotIdinteger or null
Slot ID within the rack
trayIdxinteger or null
Tray index within the rack
hostIdinteger or null
Host ID within the tray
labelsmap from strings to strings

User-defined key-value pairs for organizing and categorizing Expected Machines

createddatetimeRead-only
ISO 8601 datetime when the Expected Machine was created
updateddatetimeRead-only
ISO 8601 datetime when the Expected Machine was last updated

Errors

400
Bad Request Error
403
Forbidden Error